> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/bg/dokumentaciya-na-api/pregled-na-zayavkite-km-geopard-api/belezhki-pinove/35.-mutaciya-dobavyane-na-comment-km-izbranata-note.md).

# 35. Мутация: Добавяне на „Comment“ към избраната „Note“

Тази мутация ви позволява да добавите Коментар към избраната Забележка.

* Коментарът може да бъде свързан с Полето чрез неговия уникален идентификатор `fieldUuid` и със Забележката чрез `noteUuid`.
* Съдържанието на Коментара може да бъде подадено чрез `текст` атрибута. Ако съдържанието трябва да бъде на няколко реда, `текст` атрибутът трябва да съдържа низ с нови редове `\\n` за да разделите редовете. Например: `"Първи ред. е тук\\nВтори ред е тук.\\nТрети ред е тук."`.
* Възможно е да се зададе определена дата и време, свързани с коментара, чрез `датаНаСъздаване` атрибута в ISO8601 формат.

Примерните заявки можете да намерите по-долу:

```graphql
mutation AddNoteComment {
  addNoteComment(input:{
    noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    text: "Първият коментар от няколко.",
    createdDate: "2020-08-25T06:06:06.000Z"
  } ) {
    uuid
    fieldUuid
    noteUuid
    датаНаСъздаване
    updatedDate
    текст
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation AddNoteComment {
  addNoteComment(input:{
    noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    text: "Първи ред. е тук\\nВтори ред е тук.\\nТрети ред е тук.",
    createdDate: "2020-08-25T07:07:07.000Z"
  } ) {
    uuid
    fieldUuid
    noteUuid
    датаНаСъздаване
    updatedDate
    текст
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/bg/dokumentaciya-na-api/pregled-na-zayavkite-km-geopard-api/belezhki-pinove/35.-mutaciya-dobavyane-na-comment-km-izbranata-note.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
